%define upstream_name    Data-Dump-Streamer
%define upstream_version 2.39

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Accurately serialize a data structure as Perl code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(B::Deparse)
BuildRequires: perl(B::Utils)
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(Hash::Util)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Build)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Abbrev)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(base)
BuildRequires: perl(overload)
BuildRequires: perl(re)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl(warnings::register)
BuildRequires: perl-devel
Requires:   perl(B::Utils)
Provides:   perl(Data::Dump::Streamer::_::Printers)

%global __requires_exclude perl\\(warnings::register\\)
%{?perl_default_filter:
%filter_from_requires /::_::/d
%filter_from_provides /::_::/d
%perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}::_::
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}::_::

%description
Given a list of scalars or reference variables, writes out their contents in
perl syntax. The references can also be objects. The contents of each variable
is output using the least number of Perl statements as convenient, usually only
one. Self-referential structures, closures, and objects are output correctly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %{__perl} Build.PL DDS --installdirs=vendor
./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/Data
%perl_vendorarch/DDS.pm
%perl_vendorarch/auto/Data


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 2.390.0-3pclos2017
- rebuild against updates

